<?php
require_once( 'forge_fdf.php' );

$fdf_data_strings= array();
$fdf_data_names= array();

foreach( $_POST as $key => $value ) {
  // translate tildes back to periods
  $fdf_data_strings[ strtr($key, '~', '.') ]= $value;
}

$fields_hidden= array();
$fields_readonly= array();

$fdf= forge_fdf( '',
		 $fdf_data_strings,
		 $fdf_data_names,
		 $fields_hidden,
		 $fields_readonly );

$fdf_fn= tempnam( '.', 'fdf' );
$fp= fopen( $fdf_fn, 'w' );
if( $fp ) {
  fwrite( $fp, $fdf );
  fclose( $fp );

  header( 'Content-type: application/pdf' );
  header( 'Content-disposition: attachment; filename=test.pdf' ); // prompt to save to disk

  passthru( 'pdftk formtx.5.pdf fill_form '. $fdf_fn. ' output - flatten' );
  
  unlink( $fdf_fn ); // delete temp file
}
else { // error
  echo 'Error: unable to open temp file for writing fdf data: '. $fdf_fn;
}


?>